/************** EEPROM-Routinen fr Tiny24/44/84 ****************************
Code mu noch optimiert werden, zB. atomic schreiben und Registern Namen geben

in Definitionsblock bernehmen
.def mp				- Arbeitsregister
.def adr_H_eep		- Adresse
.def adr_L_eep
.def data_eep		- Daten
*/
eeprom_write:
	sbic	EECR,EEPE
	rjmp	eeprom_write

	ldi	mp,(0<<EEPM1)|(EEPM0)		;setze Programmiermodus 
	out	EECR,mp							;atomic Lschen und Schreiben

	out	EEARH,adr_H_eep				;Adresse wird in 
	out	EEARL,adr_L_eep				;adr_H_eep:adr_L_eep erwartet
	out	EEDR,data_eep					;Daten werden in daten_eep erwartet

	cli										;erst Interrupt aus
	sbi	EECR,EEMPE						;Masterbit schreiben
	sbi	EECR,EEPE						;dann Schreibvorgang starten
	sei
	ret

eeprom_read:
	sbic	EECR,EEPE
	rjmp	eeprom_read

	out	EEARH,adr_H_eep				;Adresse wird in
	out	EEARL,adr_L_eep				;adr_H_eep:adr_L_eep erwartet

	cli
	sbi	EECR,EERE						;starte Lesevorgang
	in		data_eep,EEDR					;Daten werden in daten_eep abgelegt
	sei
	ret
